## zeroc-ice 3.7.1

=== Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir := .

include $(top_srcdir)/config/Make.rules

define make-global-rule
$1::
	+@for subdir in $2; \
	do \
		echo "making all in $$$$subdir"; \
		( cd $$$$subdir && $(MAKE) $1 ) || exit 1; \
	done
endef

$(eval $(call make-global-rule,srcs,$(languages)))
$(eval $(call make-global-rule,tests,$(languages)))
$(eval $(call make-global-rule,all,$(languages)))
$(eval $(call make-global-rule,clean,$(languages)))
$(eval $(call make-global-rule,distclean,$(languages)))
$(eval $(call make-global-rule,install,$(languages)))

#
# Install documentation and slice files (don't install IceDiscovery and IceLocatorDiscovery slice files)
#
install:: install-doc install-slice

$(eval $(call install-data-files,$(wildcard $(top_srcdir)/*LICENSE),$(top_srcdir),$(install_docdir),\
         install-doc,"Installing documentation files"))

$(eval $(call install-data-files,$(filter-out %Discovery.ice,$(wildcard $(slicedir)/*/*.ice)),$(slicedir),$(install_slicedir),\
         install-slice,"Installing slice files"))

#
# Remove top-level sdk directory on macOS
#
ifneq ($(filter Darwin,$(os)),)
distclean::
	$(Q)$(RM) -r $(top_srcdir)/sdk
endif

=== cpp/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules
include $(lang_srcdir)/config/Make.rules

#
# Load these project first in this order. These projects contains generated headers
# that other projects might depend on so it's important to parse them first for the
# generated headers variable to be defined when we load other projects.
#
load_first = Ice IceSSL IceBox IcePatch2Lib Glacier2Lib IceGridLib IceStormLib

#
# Create projects for all the Slice translators from src/slice2* and load source projects.
#
projects :=
$(foreach t,$(wildcard $(lang_srcdir)/src/slice2*),$(eval $(call create-translator-project,$(call project,$t))))
include $(foreach p,$(load_first),src/$p/Makefile.mk)
include $(filter-out $(foreach p,$(load_first),%/src/$p/Makefile.mk),$(shell find $(lang_srcdir)/src -name Makefile.mk))
$(call make-projects,$(projects),make-cpp-src-project,,$(filter all cpp,$(ICE_BIN_DIST)))

#
# Now, create and load test projects.
#
projects :=
tests := $(call tests-without-project-makefile,cpp)
include $(shell find $(lang_srcdir)/test -name Makefile.mk)
$(foreach t,$(tests),$(eval $(call create-cpp-test-project,$(t))))
$(call make-projects,$(projects),make-cpp-test-project)

install:: | $(DESTDIR)$(install_configdir)
	$(Q)$(call install-data,templates.xml,$(lang_srcdir)/config,$(install_configdir))

=== csharp/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

all:
	dotnet msbuild msbuild/ice.proj /m

tests:
	dotnet msbuild msbuild/ice.proj /m

srcs:
	dotnet msbuild msbuild/ice.proj /t:BuildDist /m

distclean clean:
	dotnet msbuild msbuild/ice.proj /t:Clean /m

install::
	@echo nothing to install

test::
	@python ./allTests.py

=== java-compat/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

ifeq ($(GRADLE),)
GRADLE = ./gradlew
endif

ifneq ($(prefix),)
  GRADLEARGS += -Pprefix=$(prefix)
endif

ifneq ($(DESTDIR),)
  GRADLEARGS += -PDESTDIR=$(DESTDIR)
endif

ifneq ($(install_javadir),)
  GRADLEARGS += -Dorg.gradle.project.jarDir=$(install_javadir)
endif

ifneq ($(install_bindir),)
  GRADLEARGS += -Dorg.gradle.project.binDir=$(install_bindir)
endif

all:
	$(GRADLE) $(GRADLEARGS) build

tests:
	$(GRADLE) $(GRADLEARGS) :test:assemble

srcs:
	$(GRADLE) $(GRADLEARGS) dist

distclean clean:
	$(GRADLE) $(GRADLEARGS) clean

install::
	$(GRADLE) $(GRADLEARGS) install

test::
	@python ./allTests.py

=== java/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

ifeq ($(GRADLE),)
GRADLE = ./gradlew
endif

ifneq ($(prefix),)
  GRADLEARGS += -Pprefix=$(prefix)
endif

ifneq ($(DESTDIR),)
  GRADLEARGS += -PDESTDIR=$(DESTDIR)
endif

ifneq ($(install_javadir),)
  GRADLEARGS += -Dorg.gradle.project.jarDir=$(install_javadir)
endif

ifneq ($(install_bindir),)
  GRADLEARGS += -Dorg.gradle.project.binDir=$(install_bindir)
endif

all:
	$(GRADLE) $(GRADLEARGS) build

tests:
	$(GRADLE) $(GRADLEARGS) :test:assemble

srcs:
	$(GRADLE) $(GRADLEARGS) dist

distclean clean:
	$(GRADLE) $(GRADLEARGS) clean

install::
	$(GRADLE) $(GRADLEARGS) install

install-icegridgui::
	$(GRADLE) $(GRADLEARGS) :IceGridGUI:install

test::
	@python ./allTests.py

=== js/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

ifeq ($(NPM),)
NPM = npm
endif

all: npminstall
	$(NPM) run build

dist: npminstall
	$(NPM) run dist

install:

distclean clean: npminstall
	$(NPM) run clean

lint: npminstall
	$(NPM) run lint

test:
	@python ./allTests.py

npminstall:
	$(NPM) install --no-optional

=== objective-c/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules
include $(lang_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2objc))
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceIAP)))

#
# Load source projects
#
projects :=
include $(shell find $(lang_srcdir)/src -name Makefile.mk)
$(call make-projects,$(projects),make-objc-src-project,,$(filter all obj%c,$(ICE_BIN_DIST)))

#
# Now, create and load test projects.
#
projects :=
tests := $(call tests-without-project-makefile,m)
include $(shell find $(lang_srcdir)/test -name Makefile.mk)
$(foreach t,$(tests),$(eval $(call create-objc-test-project,$(t))))
$(call make-projects,$(projects),make-objc-test-project)

=== php/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2php))
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceDiscovery IceLocatorDiscovery)))

#
# Load php rules after loading C++ dependencies
#
include $(lang_srcdir)/config/Make.rules

ifeq ($(filter all php,$(ICE_BIN_DIST)),)

#
# Load Makefile.mk fragments
#
ifeq ($(filter tests,$(MAKECMDGOALS)),)
    ifeq ($(shell [ $$($(PHP_CONFIG) --vernum) -lt 70000 ] && echo 0),0)
        include $(lang_srcdir)/src/php5/Makefile.mk
    else
        include $(lang_srcdir)/src/php7/Makefile.mk
    endif
endif

#
# Make the projects (this expands all the build configuration and defines rules for all
# the components).
#
$(call make-projects,$(projects))

install:: | $(DESTDIR)$(install_phpdir)
	$(E) "Installing generated code"
	$(Q)$(INSTALL) -m 644 lib/Glacier2.php  lib/IceBox.php  lib/IceGrid.php lib/IcePatch2.php lib/IceStorm.php $(DESTDIR)$(install_phpdir)
ifeq ($(USE_NAMESPACES),no)
	$(Q)$(INSTALL) -m 644 lib/Ice_no_ns.php $(DESTDIR)$(install_phpdir)/Ice.php
else
	$(Q)$(INSTALL) -m 644 lib/Ice_ns.php $(DESTDIR)$(install_phpdir)/Ice.php
endif

$(eval $(call make-php-package,$(slicedir),lib,Ice))
$(eval $(call make-php-package,$(slicedir),lib,Glacier2))
$(eval $(call make-php-package,$(slicedir),lib,IceBox))
$(eval $(call make-php-package,$(slicedir),lib,IceGrid))
$(eval $(call make-php-package,$(slicedir),lib,IcePatch2))
$(eval $(call make-php-package,$(slicedir),lib,IceStorm))

endif

#
# Translate the Slice files from test directories
#
tests := $(call tests-without-project-makefile,php)
include $(shell find test -name Makefile.mk)
$(foreach t,$(tests),$(eval $(call make-php-test-project,$(t))))

=== python/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST))))))

ifeq ($(PYTHON),)
    PYTHON = python
endif

include $(top_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceLocatorDiscovery IceDiscovery)))

#
# Load python rules after loading C++ dependencies
#
include $(lang_srcdir)/config/Make.rules

ifeq ($(filter all python,$(ICE_BIN_DIST)),)

#
# Load Makefile.mk fragments
#
include $(shell find $(lang_srcdir) -name Makefile.mk)

#
# Make the projects (this expands all the build configuration and defines rules for all
# the components).
#
$(call make-projects,$(projects))

#
# We use a separate Makefile for building the python packages because their building
# requires .NOTPARALLEL
#
all generate-srcs clean distclean install::
	+$(Q)$(MAKE) -C python $@

endif

=== ruby/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceLocatorDiscovery IceDiscovery)))
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2rb))

#
# Load ruby rules after loading C++ dependencies
#
include $(lang_srcdir)/config/Make.rules

ifeq ($(filter all ruby,$(ICE_BIN_DIST)),)

#
# Load Makefile.mk fragments
#
include $(shell find $(lang_srcdir) -name Makefile.mk)

#
# Make the projects (this expands all the build configuration and defines rules for all
# the components).
#
$(call make-projects,$(projects))

install:: | $(DESTDIR)$(install_rubydir)
	$(E) "Installing generated code"
	$(Q)$(INSTALL) -m 644 $(lang_srcdir)/ruby/*.rb $(DESTDIR)$(install_rubydir)

$(eval $(call make-ruby-package,$(slicedir),$(lang_srcdir)/ruby,Ice))
$(eval $(call make-ruby-package,$(slicedir),$(lang_srcdir)/ruby,Glacier2))
$(eval $(call make-ruby-package,$(slicedir),$(lang_srcdir)/ruby,IceBox))
$(eval $(call make-ruby-package,$(slicedir),$(lang_srcdir)/ruby,IceGrid))
$(eval $(call make-ruby-package,$(slicedir),$(lang_srcdir)/ruby,IcePatch2))
$(eval $(call make-ruby-package,$(slicedir),$(lang_srcdir)/ruby,IceStorm))

endif

=== python/python/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir      := ../..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(dir $(abspath $(lastword $(MAKEFILE_LIST))))))))

include $(top_srcdir)/config/Make.rules
include $(lang_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2py))

.NOTPARALLEL:

$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,Ice,--no-package))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,Glacier2,--no-package))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceBox))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceMX))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceGrid))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IcePatch2))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceStorm))

# Generate these two files individually without the --no-package option to ensure the
# IceMX package is updated.
$(eval $(call make-python-slice,$(slicedir),$(lang_srcdir)/python,Ice,Metrics))
$(eval $(call make-python-slice,$(slicedir),$(lang_srcdir)/python,Glacier2,Metrics))

install:: | $(DESTDIR)$(install_pythondir)/Ice
	$(E) "Installing generated code"
	$(Q)$(INSTALL) -m 644 Ice/__init__.py $(DESTDIR)$(install_pythondir)/Ice
# Ice/Future requires python >= 3.5
ifeq ($(shell $(PYTHON) -c "print(1 if $(python-version) >= 3.5 else 0)"),1)
	$(Q)$(INSTALL) -d -m 755 $(DESTDIR)$(install_pythondir)/Ice/Py3
	$(Q)$(INSTALL) -m 644 Ice/Py3/IceFuture.py $(DESTDIR)$(install_pythondir)/Ice/Py3/
endif

install:: | $(DESTDIR)$(install_pythondir)/Glacier2
	$(Q)$(INSTALL) -m 644 Glacier2/__init__.py $(DESTDIR)$(install_pythondir)/Glacier2

=== cpp/include/IceBT/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir      = ../..

include $(top_srcdir)/config/Make.rules

install::
	@if test ! -d $(DESTDIR)$(install_includedir)/IceBT ; \
	then \
	    echo "Creating $(DESTDIR)$(install_includedir)/IceBT..." ; \
	    $(call mkdir,$(DESTDIR)$(install_includedir)/IceBT) ; \
	fi

	@for i in *.h ; \
	do \
	    echo "Installing $$i" ; \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(install_includedir)/IceBT/$$i ; \
	    chmod a+r $(DESTDIR)$(install_includedir)/IceBT/$$i ; \
	done

=== debian/changelog ===
zeroc-ice (3.7.1-2) unstable; urgency=medium

  * Do not set DH_BUILD_DDEBS in debian/rules
  * zeroc-ice: ftbfs with GCC-8 Close 897891

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 06 Jun 2018 21:28:50 +0000

zeroc-ice (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Tue, 24 Apr 2018 11:07:11 +0000

=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: optional
Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends-Indep: default-jdk,
                     gradle (>= 2),
                     gradle-ice-builder-plugin (>= 1.3.13),
                     libjgoodies-forms-java (>= 1.6.0),
                     libjgoodies-looks-java (>= 2.5.2)
Build-Depends: debhelper (>= 9.20160709),
               dh-exec,
               dh-php (>= 0.20),
               dh-python,
               javahelper,
               libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libbz2-dev,
               libdbus-1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libexpat1-dev,
               liblmdb-dev,
               libmcpp-dev,
               libssl-dev,
               locales-all,
               maven-repo-helper (>= 1.8),
               openssl,
               php-all-dev,
               php-cli,
               python,
               python-dev,
               python-passlib,
               python-setuptools,
               python3,
               python3-dev,
               python3-setuptools
Standards-Version: 4.1.3
Homepage: https://zeroc.com
Vcs-Git: https://github.com/zeroc-ice/ice-debian-packaging.git
Vcs-Browser: https://github.com/zeroc-ice/ice-debian-packaging.git

Package: libzeroc-ice-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Replaces: libice++-dev,
          libzeroc-ice35-dev
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         zeroc-ice-compilers (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends}
Description: libraries and headers for developing Ice applications in C++
 This package contains the libraries and headers needed for developing
 Ice applications in C++.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice3.7-java
Architecture: all
Multi-Arch: foreign
Section: java
Replaces: libzeroc-ice-java (<< 3.7.0~)
Breaks: libzeroc-ice-java (<< 3.7.0~)
Depends: ${misc:Depends}
Description: Ice for Java run-time libraries.
 This package contains Ice for Java run-time libraries.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.


Package: libzeroc-ice-java
Depends: libzeroc-ice3.7-java (= ${binary:Version}),
         zeroc-ice-compilers (>= ${source:Version}),
         zeroc-ice-compilers (<< ${source:Version}.1~),
         ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package libzeroc-ice-java
 This is a transitional package for libzeroc-ice-java. It can safely be removed.

Package: libzeroc-ice3.7
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: C++ run-time libraries for the Ice framework
 This package contains C++ run-time libraries for the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-icestorm3.7
Architecture: any
Multi-Arch: same
Section: net
Pre-Depends: ${misc:Pre-Depends}
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceStorm publish-subscribe event distribution service
 This package contains the IceStorm publish-subscribe event distribution
 service.
 .
 IceStorm helps you create push applications. Your Ice client (the publisher)
 sends a request to a topic managed by IceStorm, and IceStorm delivers this
 request to all the subscribers (Ice objects) that you registered with this
 topic.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: php-zeroc-ice
Architecture: any
Section: php
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${php:Provides}
Description: PHP extension for Ice
 This package contains a PHP extension for communicating with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: python-zeroc-ice
Architecture: any
Section: python
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python 2 extension for Ice
 This package contains a Python 2 extension for communication with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: python3-zeroc-ice
Architecture: any
Section: python
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 extension for Ice
 This package contains a Python 3 extension for communication with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-glacier2
Architecture: any
Multi-Arch: foreign
Section: net
Replaces: glacier2,
          ice35-services
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Glacier2 router
 This package contains the Glacier2 router. A Glacier2 router allows you to
 securely route Ice communications across networks, such as the public Internet
 and a private network behind a firewall. With Glacier2, you only need to open
 one port in your firewall to make multiple back-end Ice servers reachable by
 remote Ice clients on the Internet.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-dev
Architecture: all
Section: devel
Depends: libzeroc-ice-dev (>= ${source:Version}),
         zeroc-ice-compilers (>= ${source:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends}
Description: Ice development packages (metapackage)
 This is a metapackage that depends on all development packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-runtime
Architecture: all
Section: net
Depends: libzeroc-ice3.7-java (= ${source:Version}),
         libzeroc-ice3.7 (>= ${source:Version}),
         libzeroc-icestorm3.7 (>= ${source:Version}),
         php-zeroc-ice (>= ${source:Version}),
         python-zeroc-ice (>= ${source:Version}),
         python3-zeroc-ice (>= ${source:Version}),
         zeroc-glacier2 (>= ${source:Version}),
         zeroc-ice-slice (>= ${source:Version}),
         zeroc-ice-utils (>= ${source:Version}),
         zeroc-icebox (>= ${source:Version}),
         zeroc-icegrid (>= ${source:Version}),
         zeroc-icegridgui (>= ${source:Version}),
         zeroc-icepatch2 (>= ${source:Version}),
         zeroc-icebridge (>= ${source:Version}),
         ${misc:Depends}
Description: Ice run-time packages (metapackage)
 This is a metapackage that depends on all run-time packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-compilers
Architecture: any
Multi-Arch: foreign
Section: devel
Replaces: libzeroc-ice-java (<< 3.7.0~)
Breaks: libzeroc-ice-java (<< 3.7.0~)
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Slice compilers for developing Ice applications
 This package contains Slice compilers for developing Ice applications.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-slice
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Description: Slice files for Ice
 This package contains Slice files used by the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-utils
Architecture: any
Multi-Arch: foreign
Section: admin
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         libzeroc-icestorm3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ice utilities and admin tools
 This package contains Ice utilities and admin tools.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icegridgui
Architecture: all
Multi-Arch: foreign
Section: admin
Replaces: zeroc-ice-utils-java (<< 3.7.0~)
Breaks: zeroc-ice-utils-java (<= 3.7.0~)
Depends: default-jre,
         libzeroc-ice3.7-java (= ${source:Version}),
         ${java:Depends},
         ${misc:Depends}
Description: IceGrid Admin graphical client
 The IceGrid service helps you locate, deploy and manage Ice servers.
 .
 The IceGrid GUI give you complete control over your deployed applications.
 Activities such as starting a server or modifying a configuration setting are
 just a mouse click away.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.


Package: zeroc-ice-utils-java
Depends: zeroc-icegridgui, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: zeroc-icegridgui transitional package
 This is a transitional package for zeroc-icegridgui. It can safely be removed.

Package: zeroc-icebox
Architecture: any
Multi-Arch: foreign
Section: net
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceBox server, a framework for Ice application services
 This package contains the IceBox server, an easy-to-use framework for
 developing and deploying application services.
 .
 Ice is a comprehensive RPC framework that helps you network your software

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export LC_ALL=en_US.UTF-8

# This has to be exported to make some magic below work.
export DH_OPTIONS

# enable dpkg build flags
# disable full hardening for now
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export JAVA_HOME=/usr/lib/jvm/default-java/

export GRADLE		= gradle
export GRADLEARGS	= --gradle-user-home $(CURDIR)/.gradle \
			  --info \
			  --console plain \
			  --offline \
			  --stacktrace \
			  --no-daemon \
			  --refresh-dependencies \
			  -PicegridguiProguard=false \
			  -PjgoodiesLooksVersion=debian \
			  -PjgoodiesFormsVersion=debian \
			  -PiceBuilderVersion=debian \
			  -PiceBuilderClassPath=com.zeroc.gradle.ice-builder \
			  -PjarsClassPath=true

#
# These files are not installed with any debian package.
#
INSTALL_EXCLUDE		= usr/bin/slice2confluence

PHP_VERSIONS 		:= $(shell /usr/sbin/phpquery -V)

PYTHON_VERSIONS 	:= 2 3
export PYTHON2DIR 	:= $(shell python2 -c "import sys;print('python{0}.{1}'.format(sys.version_info.major, sys.version_info.minor))")
export PYTHON3DIR 	:= $(shell python3 -c "import sys;print('python{0}.{1}'.format(sys.version_info.major, sys.version_info.minor))")

export VERSION   := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,^\([.0-9|.a-z]*\).*,\1,')

DESTDIR=$(CURDIR)/debian/tmp
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTIMIZE=yes
else
	OPTIMIZE=no
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	PROCESSORS := $(shell cat /proc/cpuinfo | grep processor | wc -l)
	ifneq ($(PROCESSORS),0)
	    MAKEFLAGS += -j$(PROCESSORS)
	endif
endif

DHARGS	= --parallel --with maven_repo_helper --with systemd --with php --with python3 --with python2 --with javahelper

MAKEOPTS = V=1 prefix=/usr DESTDIR=$(DESTDIR)

%:
	dh $@ $(DHARGS)

override_dh_auto_build-arch:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=cpp CONFIGS="shared cpp11-shared static cpp11-static" srcs
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(MAKEOPTS) OPTIMIZE=no LANGUAGES=cpp CONFIGS="shared cpp11-shared" tests
endif
	for v in $(PHP_VERSIONS); do \
	  cp -a php php-$${v}; \
	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) -C php-$${v}; \
	done
	for v in $(PYTHON_VERSIONS); do \
	  cp -a python python-$${v}; \
	  $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) PYTHON=python$${v} -C python-$${v}; \
	done

override_dh_auto_build-indep:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) -C cpp slice2java
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES="java java-compat" srcs
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(MAKEOPTS) LANGUAGES="java java-compat" tests
endif

override_dh_auto_install-arch:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=cpp CONFIGS="shared cpp11-shared static cpp11-static" install
	for v in $(PHP_VERSIONS); do \
	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) -C php-$${v} install; \
	done
	for v in $(PYTHON_VERSIONS); do \
	  $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) PYTHON=python$${v} -C python-$${v} install; \
	done
	rm -rf $(addprefix $(DESTDIR)/,$(INSTALL_EXCLUDE))

override_dh_auto_install-indep:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES="java java-compat" install
	rm -rf $(DESTDIR)/usr/share/java/*-sources.jar

override_dh_auto_clean-arch:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=cpp CONFIGS="shared cpp11-shared static cpp11-static" distclean
	for v in $(PHP_VERSIONS); do \
	  rm -rf php-$${v}; \
	done
	for v in $(PYTHON_VERSIONS); do \
	  rm -rf python-$${v}; \
	done

override_dh_auto_clean-indep:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=cpp distclean
#
# Don't fail if gradle isn't present
#
ifeq ($(shell type $(GRADLE) > /dev/null 2>&1 && echo 0),0)
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES="java java-compat" clean
endif
	rm -rf java/.gradle
	rm -rf java-compat/.gradle
	rm -rf $(CURDIR)/.gradle

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-python cpp/allTests.py --rfilter=IceUtil/stacktrace --rfilter IceGrid/simple --rfilter IceDiscovery
	-python cpp/allTests.py --config=cpp11-shared --rfilter=IceUtil/stacktrace --rfilter IceGrid/simple --rfilter IceDiscovery
endif

override_dh_auto_test-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-python java/allTests.py --rfilter Glacier2 --rfilter IceGrid --rfilter IceDiscovery
	-python java-compat/allTests.py --rfilter Glacier2 --rfilter IceGrid --rfilter IceDiscovery
endif

override_dh_clean:
	find . -iname "*.pyc" -exec rm -rf {} \;
	dh_clean

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --name icegridregistry --no-enable
	dh_systemd_enable --name icegridnode --no-enable
	dh_systemd_enable --name glacier2router --no-enable

override_dh_install:
	install -d -m 0755 $(DESTDIR)/usr/bin
	install -m 0755 debian/zeroc-icegridgui.icegridgui $(DESTDIR)/usr/bin/icegridgui
	install -d -m 0755 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/zeroc-icegridgui.icegridgui.1 $(DESTDIR)/usr/share/man/man1/icegridgui.1
	install -d -m 0755 $(DESTDIR)/etc/

	install -m 0644 debian/zeroc-glacier2.glacier2router.conf $(DESTDIR)/etc/glacier2router.conf
	install -m 0644 debian/zeroc-icegrid.icegridnode.conf $(DESTDIR)/etc/icegridnode.conf
	install -m 0644 debian/zeroc-icegrid.icegridregistry.conf $(DESTDIR)/etc/icegridregistry.conf

	dh_install --list-missing -X.pom -XICE_LICENSE -XLICENSE
	jh_depends -pzeroc-icegridgui

override_dh_strip:
	dh_strip
	# Sadly, perl "-B" test (used by dh_strip) for binary files sometime misses some binary files,
	# the following ensures, static libraries are always stripped even if the binay check fails.
	strip --strip-debug --remove-section=.comment --remove-section=.note --enable-deterministic-archives \
		debian/libzeroc-ice-dev/usr/lib/*/lib*.a

override_dh_installdocs:
	dh_installdocs -A debian/README

override_mh_install-arch:

override_mh_install-indep:
	mh_install

get-orig-source:
	uscan --download-current-version --rename --force-download

## zeroc-ice 3.7.2

=== csharp/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

all:
	dotnet msbuild msbuild/ice.proj /m

tests:
	dotnet msbuild msbuild/ice.proj /m

srcs:
	dotnet msbuild msbuild/ice.proj /t:BuildDist /m

distclean clean:
	dotnet msbuild msbuild/ice.proj /t:Clean /m

install::
	@echo nothing to install

test::
	@python ./allTests.py

=== java-compat/Makefile ===
--- 
+++ 
@@ -1,11 +1,6 @@
-# **********************************************************************
 #
-# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
+# Copyright (c) ZeroC, Inc. All rights reserved.
 #
-# This copy of Ice is licensed to you under the terms described in the
-# ICE_LICENSE file included in this distribution.
-#
-# **********************************************************************
 
 ifeq ($(GRADLE),)
 GRADLE = ./gradlew

=== ruby/Makefile ===
--- 
+++ 
@@ -1,14 +1,9 @@
-# **********************************************************************
 #
-# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
+# Copyright (c) ZeroC, Inc. All rights reserved.
 #
-# This copy of Ice is licensed to you under the terms described in the
-# ICE_LICENSE file included in this distribution.
-#
-# **********************************************************************
 
 top_srcdir      := ..
-lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(lastword $(MAKEFILE_LIST))))))
+lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(lastword $(abspath $(MAKEFILE_LIST))))))
 
 include $(top_srcdir)/config/Make.rules

=== python/python/Makefile ===
--- 
+++ 
@@ -1,11 +1,6 @@
-# **********************************************************************
 #
-# Copyright (c) 2003-2018 ZeroC, Inc. All rights reserved.
+# Copyright (c) ZeroC, Inc. All rights reserved.
 #
-# This copy of Ice is licensed to you under the terms described in the
-# ICE_LICENSE file included in this distribution.
-#
-# **********************************************************************
 
 top_srcdir      := ../..
 lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(dir $(abspath $(lastword $(MAKEFILE_LIST))))))))

=== debian/changelog ===
zeroc-ice (3.7.2-4) unstable; urgency=medium

  * Update Linux OS detection patch

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Fri, 08 Feb 2019 08:24:27 +0000

zeroc-ice (3.7.2-3) unstable; urgency=medium

  * Close #921629, better Linux OS detection

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Thu, 07 Feb 2019 19:37:12 +0000

zeroc-ice (3.7.2-2) unstable; urgency=medium

  * Missing openjfx dependency
  * Fix  version in libzeroc-ice3.7-java.poms

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 06 Feb 2019 18:20:18 +0000

zeroc-ice (3.7.2-1) unstable; urgency=medium

  * New upstream version 3.7.2

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 06 Feb 2019 11:27:15 +0000

zeroc-ice (3.7.1-6) unstable; urgency=medium

  * Fix Python 3.7 build failure

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Sat, 01 Dec 2018 11:17:16 +0000

zeroc-ice (3.7.1-5) unstable; urgency=medium

  * Fix JDK 11 build failure

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Mon, 05 Nov 2018 20:39:40 +0000

zeroc-ice (3.7.1-4) unstable; urgency=medium

  * Better detect debian derivatives Close #901899

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Fri, 26 Oct 2018 16:00:11 +0000

zeroc-ice (3.7.1-3) unstable; urgency=medium

  * Add patch for Bug#910665
  * Use secure copyright file specification URI.

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 17 Oct 2018 20:48:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                      gradle (>= 2),
                      gradle-ice-builder-plugin (>= 1.3.13),
                      libjgoodies-forms-java (>= 1.6.0),
-                     libjgoodies-looks-java (>= 2.5.2)
+                     libjgoodies-looks-java (>= 2.5.2),
+                     openjfx
 Build-Depends: debhelper (>= 9.20160709),
                dh-exec,
                dh-php (>= 0.20),

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,14 @@
 
 export JAVA_HOME=/usr/lib/jvm/default-java/
 
+#
+# Use the system gradle unless it has been overridden by GRADLE
+# environment variable.
+#
+ifeq ($(GRADLE),)
 export GRADLE		= gradle
+endif
+
 export GRADLEARGS	= --gradle-user-home $(CURDIR)/.gradle \
 			  --info \
 			  --console plain \
